/**
 * Popup message
 */
(function(window) {
    var
            // Tokens
            ACTIVE = 'active',
            /**
             * 
             * @constructor
             * @param {string} messageClass Class of container for message     
             */
            PopupMessage = function(messageClass) {
                this.$messageBox = $(messageClass);
            };



    /**
     * Set text in message box.
     * 
     * @param {type} text Text to set
     * @returns {AlertMessage} Self instance
     */
    PopupMessage.prototype.setText = function(text) {
        var
                _this = this;

        _this.$messageBox.html(text);

        return _this;
    };





    /** 
     * Display message and hide (fade out) it after delay.
     * 
     * @param {int} delay Time to show message, ms          
     * @param {string} cssBackground Custom background css property
     */
    PopupMessage.prototype.show = function(delay, cssBackground) {
        var
                $messageBox = this.$messageBox;

        if (cssBackground !== undefined) {
            $messageBox.css('background-color', cssBackground);
        }

        // Show message
        $messageBox.addClass(ACTIVE);

        // After given timeout fadeout message box and then remove visibility class
        setTimeout(
                function() {
                    $messageBox.removeClass(ACTIVE);
                    $messageBox.css('background-color', '');
                }
        , delay);
    };


    window.PopupMessage = PopupMessage;
})(window);